Spring Lean Integration
---

Spring整合学习中心

### 整合模块

---

- [SpringSecurity教程](security/README.md)

    - [SpringBoot整合KeyCloak权限管理教程](security/security-keycloak/DOC.md)
    - [SpringBoot Security使用LDAP单点登录](security/security-ldap/DOC.md)
    - [SpringBoot Security整合JWT授权RestAPI](security/security-jwt/DOC.md)

- [SpringBoot教程](springboot/README.md)

    - [SpringBoot整合Angular前后端开发教程](springboot/springboot-angular/DOC.md)
    - [SpringBoot开发存储服务器教程](springboot/springboot-storage/DOC.md)
    - [SpringBoot整合Scala教程](springboot/springboot-scala/DOC.md)
    - [SpringBoot整合MyBatis教程](springboot/springboot-mybatis/README.md)
        - [SpringBoot整合MyBatis教程(注解版)](springboot/springboot-mybatis/mybatis-annotations/DOC.md)
        - [SpringBoot整合MyBatis教程(PageHelper版)](springboot/springboot-mybatis/mybatis-pagehelper/DOC.md)
        - [SpringBoot整合MyBatis教程Provider进阶](springboot/springboot-mybatis/mybatis-provider/README.md)
            - [SpringBoot整合MyBatis教程Provider进阶(Insert)](springboot/springboot-mybatis/mybatis-provider/provider-insert/DOC.md)
            - [SpringBoot整合MyBatis教程Provider进阶(Update, Delete)](springboot/springboot-mybatis/mybatis-provider/provider-update-delete/DOC.md)
            - [SpringBoot整合MyBatis教程Provider进阶(Select)](springboot/springboot-mybatis/mybatis-provider/provider-select/DOC.md)

- [SpringCloud教程](springcloud/README.md)

    - [SpringCloud Eureka教程](springcloud/springcloud-eureka/DOC.md)
    - [SpringCloud Eureka教程(代码版)](springcloud/springcloud-eureka-code/DOC.md)

- [Spring DataJPA教程](datajpa/README.md)

    - [Spring DataJPA Redis教程(基础版)](datajpa/datajpa-redis/DOC.md)
    - [Spring DataJPA Redis教程(Template版)](datajpa/datajpa-redis-template/DOC.md)
    - [Spring DataJPA Redis教程(DataJPA实战版)](datajpa/datajpa-redis-action/DOC.md)
    - [Spring DataJPA ElasticSearch教程(基础版)](datajpa/datajpa-elasticsearch/DOC.md)
    - [Spring DataJPA MongoDB教程(基础版)](datajpa/datajpa-mongodb/DOC.md)
    - [Spring DataJPA MongoDB教程(Template版)](datajpa/datajpa-mongodb-template/DOC.md)
    - [Spring DataJPA JDBC教程(基础版)](datajpa/datajpa-jdbc/DOC.md)

- [Guice教程](guice/README.md)

    - [Guice依赖注入(一)](guice/binder/DOC.md)
    - [Guice依赖注入(构造函数注入)](guice/binder-constructor/DOC.md)
    - [Guice依赖注入(接口多实现)](guice/binder-multiple/DOC.md)
    - [Guice依赖注入(Provider)](guice/binder-provider/DOC.md)
    - [Guice依赖注入(Scope)](guice/binder-scope/DOC.md)

    